ingres_fetch_row
ingres_field_name
Ingres Functions
PHP Manual

# ingres_field_length

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres >= 1.0.0)

ingres_field_length — Get the length of a field

### Description

int ingres_field_length ( resource `$result` , int `$index` )

ingres_field_length() returns the length of a field. This is the number of bytes the server uses to store the field. For detailed information, see the Ingres OpenAPI User Guide, Appendix "Data Types" in the Ingres documentation.

> Note: Related Configurations

> See ingres.array_index_start in Runtime Configuration

### Parameters

`result`

  The query result identifier

`index`

  `index` is the column number whose length will be retrieved.

  The possible values of `index` depend upon the value of ingres.array_index_start. If ingres.array_index_start is 1 (the default) then `index` must be between 1 and the value returned by ingres_num_fields(). If ingres.array_index_start is 0 then `index` must be between 0 and ingres_num_fields() - 1.

### Return Values

Returns the length of a field.

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_assoc() - Fetch a row of result into an associative array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_fetch_row
ingres_field_name
Ingres Functions
PHP Manual